#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: konsole
Summary: A terminal emulator similar to xterm for KDE
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://konsole.kde.org/
BuildRequires: kdebase4-devel >= 1:%{version}

Requires: kdebase4-runtime
Requires: x11-font-misc-misc
Suggests: konsole-doc
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz

# branch patches (100-199)

# trunk patches (200-300)

# Mageia patches

# Fedora/Kubuntu patchs

%description
A terminal emulator, similar to xterm, for KDE.

%files
%_kde_bindir/konsole
%_kde_bindir/konsoleprofile
%_kde_libdir/kde4/libkonsolepart.so
%_kde_libdir/libkdeinit4_konsole.so
%_kde_libdir/libkonsoleprivate.so
%_kde_applicationsdir/konsole.desktop
%_kde_appsdir/konsole
%_kde_appsdir/kconf_update/konsole-*.sh
%_kde_appsdir/kconf_update/konsole.upd
%_kde_appsdir/kconf_update/konsole_remove_background_mode.upd
%_kde_services/ServiceMenus/konsolehere.desktop
%_kde_services/konsolepart.desktop
%_kde_servicetypes/terminalemulator.desktop

#------------------------------------------------------------------------------

%package doc
Summary: Konsole Documentation
Conflicts: konsole < 1:4.7.2
Requires:  konsole >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description doc
This package provides Konsole documentation.

%files doc
%doc README COPYING COPYING.DOC COPYING.LIB
%docdir %_kde_docdir/
%_kde_docdir/%{name}/manual
%_kde_docdir/%{name}/developer
%_kde_docdir/%{name}/user
%_kde_docdir/HTML/en/konsole

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
mkdir -p %{buildroot}/%_kde_docdir/%{name}
mv doc/* %{buildroot}/%_kde_docdir/%{name}


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641332
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555022
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551294
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539873
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490689
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 1:4.11.1-2.mga4
+ Revision: 488642
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476784
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465137
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458940
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455326
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447893
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435242
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428361
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407173
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401908
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394350
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339395
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334504
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326708
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320262
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316146
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301922
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289711
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 277090
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269695
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 1:4.8.95-1.mga3
+ Revision: 265730
- New version - 4.8.95

  + mikala <mikala>
    - Add patch301 to fix mga #6119 (konsole appends white space at end of line)
      patch was missing in cauldron, while it was initially in mga1 (noticed by Frederic Buclin)

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257213
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228463
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221492
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198176
- Updating tarball to KDE 4.8.0

* Fri Jan 06 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 191994
- Update tarball to KDE SC 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186425
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182136
- Update tarball to KDE SC 4.7.90
- Fix BuildRequires
- use gold as linker
- build with DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176468
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161364
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151967
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140658
- Update tarball to KDE SC 4.7.1
- Split konsole documentation in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros
- fix license
- fix files list

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122412
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115675
- imported package konsole

